co.aikar.commands

## Class CommandHelpFormatter

- java.lang.Object
- - co.aikar.commands.CommandHelpFormatter

    public class CommandHelpFormatter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CommandHelpFormatter(CommandManager manager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getEntryFormatReplacements(CommandHelp help, HelpEntry entry)` Override this to control replacements
`String[]` `getHeaderFooterFormatReplacements(CommandHelp help)` Override this to control replacements
`@NotNull String[]` `getParameterFormatReplacements(CommandHelp help, CommandParameter param, HelpEntry entry)` Override this to control replacements
`void` `printDetailedHelpCommand(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void` `printDetailedHelpFooter(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void` `printDetailedHelpHeader(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void` `printDetailedParameter(CommandHelp help, CommandIssuer issuer, HelpEntry entry, CommandParameter param)`
`void` `printHelpCommand(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void` `printHelpFooter(CommandHelp help, CommandIssuer issuer)`
`void` `printHelpHeader(CommandHelp help, CommandIssuer issuer)`
`void` `printSearchEntry(CommandHelp help, CommandIssuer issuer, HelpEntry page)`
`void` `printSearchFooter(CommandHelp help, CommandIssuer issuer)`
`void` `printSearchHeader(CommandHelp help, CommandIssuer issuer)`
`void` `showAllResults(CommandHelp commandHelp, List<HelpEntry> entries)`
`void` `showDetailedHelp(CommandHelp commandHelp, HelpEntry entry)`
`void` `showSearchResults(CommandHelp commandHelp, List<HelpEntry> entries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandHelpFormatter

    public CommandHelpFormatter(CommandManager manager)

### Method Detail

#### showAllResults

    public void showAllResults(CommandHelp commandHelp,
                               List<HelpEntry> entries)

#### showSearchResults

    public void showSearchResults(CommandHelp commandHelp,
                                  List<HelpEntry> entries)

#### showDetailedHelp

    public void showDetailedHelp(CommandHelp commandHelp,
                                 HelpEntry entry)

#### printHelpHeader

    public void printHelpHeader(CommandHelp help,
                                CommandIssuer issuer)

#### printHelpCommand

    public void printHelpCommand(CommandHelp help,
                                 CommandIssuer issuer,
                                 HelpEntry entry)

#### printHelpFooter

    public void printHelpFooter(CommandHelp help,
                                CommandIssuer issuer)

#### printSearchHeader

    public void printSearchHeader(CommandHelp help,
                                  CommandIssuer issuer)

#### printSearchEntry

    public void printSearchEntry(CommandHelp help,
                                 CommandIssuer issuer,
                                 HelpEntry page)

#### printSearchFooter

    public void printSearchFooter(CommandHelp help,
                                  CommandIssuer issuer)

#### printDetailedHelpHeader

    public void printDetailedHelpHeader(CommandHelp help,
                                        CommandIssuer issuer,
                                        HelpEntry entry)

#### printDetailedHelpCommand

    public void printDetailedHelpCommand(CommandHelp help,
                                         CommandIssuer issuer,
                                         HelpEntry entry)

#### printDetailedParameter

    public void printDetailedParameter(CommandHelp help,
                                       CommandIssuer issuer,
                                       HelpEntry entry,
                                       CommandParameter param)

#### printDetailedHelpFooter

    public void printDetailedHelpFooter(CommandHelp help,
                                        CommandIssuer issuer,
                                        HelpEntry entry)

#### getHeaderFooterFormatReplacements

    public String[] getHeaderFooterFormatReplacements(CommandHelp help)

Override this to control replacements

Parameters:
  `help` -
Returns:

#### getEntryFormatReplacements

    public String[] getEntryFormatReplacements(CommandHelp help,
                                               HelpEntry entry)

Override this to control replacements

Parameters:
  `help` -
  `entry` -
Returns:

#### getParameterFormatReplacements

    @NotNull
    public @NotNull String[] getParameterFormatReplacements(CommandHelp help,
                                                                     CommandParameter param,
                                                                     HelpEntry entry)

Override this to control replacements

Parameters:
  `help` -
  `param` -
  `entry` -
Returns: